#include "asmegam.h"

void port_init() //    , LED0 = 1, LED1 = 0
{
	DDRD |= (LED0 | LED1);
	PORTD |= LED0;
	PORTD &= ~LED1;
}

void timer0_init() //   :      
{
	TCCR0 = 0x00; //     
	ASSR  = 0x08; //      
	TCNT0 = 0x00; // 
	TIMSK = 0x01; //     
	TCCR0 = 0x04; // 
}

ISR(TIMER0_OVF_vect)
{
    PORTD ^= (LED0 | LED1); //     ("")
}

int main() //  
{
	cli(); //   
	port_init();
	timer0_init();
	sei();

	for(;;);
	
	return 0;
}
